# PostSummonStatStageChangeOnArenaAbAttr | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class PostSummonStatStageChangeOnArenaAbAttr

Applies a stat change after a Pokémon is summoned, conditioned on the presence of a specific arena tag.

#### Hierarchy (View Summary)

- PostSummonStatStageChangeAbAttr
  - PostSummonStatStageChangeOnArenaAbAttr

- Defined in src/data/ability.ts:5093

##### Index

### Constructors

constructor

### Properties

showAbility

### Methods

addCondition
apply
applyPostSummon
canApply
canApplyPostSummon
getCondition
getTriggerMessage
shouldActivateOnGain

## Constructors

### constructor

- new PostSummonStatStageChangeOnArenaAbAttr(
  tagType: ArenaTagType ,
  ): PostSummonStatStageChangeOnArenaAbAttr

  Creates an instance of PostSummonStatStageChangeOnArenaAbAttr. Initializes the stat change to increase Attack by 1 stage if the specified arena tag is present.

  #### Parameters

  - tagType: ArenaTagType

    The type of arena tag to check for.

  #### Returns PostSummonStatStageChangeOnArenaAbAttr

  Overrides PostSummonStatStageChangeAbAttr.constructor

  - Defined in src/data/ability.ts:5106

## Properties

### showAbility

showAbility: boolean

Inherited from PostSummonStatStageChangeAbAttr.showAbility

- Defined in src/data/ability.ts:184

## Methods

### addCondition

- addCondition(condition: AbAttrCondition): AbAttr

  #### Parameters

  - condition: AbAttrCondition

  #### Returns AbAttr

  Inherited from PostSummonStatStageChangeAbAttr.addCondition

  - Defined in src/data/ability.ts:209

### apply

- apply(
  pokemon: default ,
  passive: boolean,
  simulated: boolean,
  cancelled: null | BooleanHolder ,
  args: any[],
  ): void

  Applies ability effects without checking conditions

  #### Parameters

  - pokemon: default

    The pokemon to apply this ability to

  - passive: boolean

    Whether or not the ability is a passive

  - simulated: boolean

    Whether the call is simulated

  - cancelled: null | BooleanHolder
  - args: any[]

    Extra args passed to the function. Handled by child classes.

  #### Returns void

  #### See

  `canApply`

  Inherited from PostSummonStatStageChangeAbAttr.apply

  - Defined in src/data/ability.ts:199

### applyPostSummon

- applyPostSummon(
  pokemon: default ,
  passive: boolean,
  simulated: boolean,
  args: any[],
  ): void

  Applies the post-summon stat change if the specified arena tag is present on pokemon's side. This is used in Wind Rider ability.

  #### Parameters

  - pokemon: default

    The Pokémon being summoned.

  - passive: boolean

    Whether the effect is passive.

  - simulated: boolean
  - args: any[]

    Additional arguments.

  #### Returns void

  Overrides PostSummonStatStageChangeAbAttr.applyPostSummon

  - Defined in src/data/ability.ts:5125

### canApply

- canApply(
  pokemon: default ,
  passive: boolean,
  simulated: boolean,
  args: any[],
  ): boolean

  Returns a boolean describing whether the ability can be applied under current conditions

  #### Parameters

  - pokemon: default

    The pokemon to apply this ability to

  - passive: boolean

    Whether or not the ability is a passive

  - simulated: boolean

    Whether the call is simulated

  - args: any[]

    Extra args passed to the function. Handled by child classes.

  #### Returns boolean

  `true` if the ability can be applied, `false` otherwise

  #### See

  `apply`

  Inherited from PostSummonStatStageChangeAbAttr.canApply

  - Defined in src/data/ability.ts:223

### canApplyPostSummon

- canApplyPostSummon(
  pokemon: default ,
  passive: boolean,
  simulated: boolean,
  args: any[],
  ): boolean

  #### Parameters

  - pokemon: default
  - passive: boolean
  - simulated: boolean
  - args: any[]

  #### Returns boolean

  Overrides PostSummonStatStageChangeAbAttr.canApplyPostSummon

  - Defined in src/data/ability.ts:5111

### getCondition

- getCondition(): null | AbAttrCondition

  #### Returns null | AbAttrCondition

  Inherited from PostSummonStatStageChangeAbAttr.getCondition

  - Defined in src/data/ability.ts:205

### getTriggerMessage

- getTriggerMessage(
  _pokemon: default ,
  _abilityName: string,
  ..._args: any[],
  ): null | string

  #### Parameters

  - _pokemon: default
  - _abilityName: string
  - ..._args: any[]

  #### Returns null | string

  Inherited from PostSummonStatStageChangeAbAttr.getTriggerMessage

  - Defined in src/data/ability.ts:201

### shouldActivateOnGain

- shouldActivateOnGain(): boolean

  #### Returns boolean

  Whether the ability should activate when gained in battle

  Inherited from PostSummonStatStageChangeAbAttr.shouldActivateOnGain

  - Defined in src/data/ability.ts:2282